This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 810286 - backports for .debug_types project
backports for .debug_types project
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 10:23 EDT by Tom Tromey
Modified: 2014-08-11 01:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: valgrind-3.7.0-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 00:21:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Tromey 2012-04-05 10:23:07 EDT
If we follow through on the .debug_types feature
(still uncertain -- we may take a different approach --
but feature page is here:
https://fedoraproject.org/wiki/Features/DebugTypesSections)
then we will need at least one valgrind backport:

r12491 | sewardj | 2012-04-05 01:55:47 -0600 (Thu, 05 Apr 2012) | 4 lines

Add support for reading DWARF4 .debug_types sections.  Fixes #284124.
(Tom Tromey, tromey@redhat.com)


I'll ping this bug if the fedora feature is accepted; or close
it if we go another route.
Comment 1 Fedora Update System 2012-05-07 08:39:34 EDT
valgrind-3.7.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/valgrind-3.7.0-4.fc17
Comment 2 Fedora Update System 2012-05-08 00:21:15 EDT
valgrind-3.7.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.